# Windows Registry Settings

This document is provided as a reference to the Windows registry settings implemented by Communicator and Navigator. You may use this as a guide to the registry settings you must implement if you create your own installation program (as opposed to localizing an existing Netscape installer).

Note that in the Netscape installers, these settings are implemented only within .INI files. This simplifies modifying and localizing the installer. It is recommended that your installer do the same.

You may observe the registry changes made by any product with tools such as Regmon. This may be a useful addition to your toolset.

These notes are applicable to Netscape Communicator version 4.03.

MPLAY32.INI

Key : HKEY_LOCAL_MACHINE\Software\Netscape
Name : (Default)
Value:
Type :

Key : HKEY_LOCAL_MACHINE\Software\Netscape\Media Player
Name : CurrentVersion
Value: 4.03 (en)
Type :

Key : HKEY_LOCAL_MACHINE\Software\Netscape\Media Player\4.03 (en)
Name : (Default)
Value:
Type :

Key : HKEY_LOCAL_MACHINE\Software\Netscape\Media Player\4.03 (en)\Main
Name : Install Directory
Value: [Default Path]\MPlayer
Type : REGDB_STRING

Name : Program Folder
Value: [Program Folder]
Type : REGDB_STRING

Key : HKEY_CLASSES_ROOT\.LAM
Name : (Default)
Value: LAMDocument
Type : REGDB_STRING

Key : HKEY_CLASSES_ROOT\LAMDocument\shell\open\command
Name : (Default)
Value: [WINSYSDIR]\mplay32.exe %1
Type : REGDB_STRING

Name : (Default)
Value: [WINDIR]\mplayer.exe %1
Type : REGDB_STRING

Key : HKEY_CLASSES_ROOT\LAMDocument\DefaultIcon
Name : (Default)
Value: [Default Path]\MPlayer\npcfg32.exe ,0
Type : REGDB_STRING

Key : HKEY_LOCAL_MACHINE\Software\Microsoft\Windows NT\CurrentVersion\MCI32
Name : LiveAudioFile
Value: mcilma32.dll
Type : REGDB_STRING

Key : HKEY_LOCAL_MACHINE\Software\Microsoft\Windows NT\CurrentVersion\MCI
Name : LiveAudioFile
Value: mcilma.dll
Type : REGDB_STRING

Key : HKEY_LOCAL_MACHINE\Software\Microsoft\Windows NT\CurrentVersion\MCI32
Name : LiveAudioMetafile
Value: mcilau32.dll
Type : REGDB_STRING

Key : HKEY_LOCAL_MACHINE\Software\Microsoft\Windows NT\CurrentVersion\drivers.desc
Name : mcilau32.dll
Value: (MCI) Netscape Media Player
Type : REGDB_STRING

Key : HKEY_LOCAL_MACHINE\Software\Microsoft\Windows NT\CurrentVersion\MCI
Name : LiveAudioMetafile
Value: mcilau.dll
Type : REGDB_STRING

Key : HKEY_LOCAL_MACHINE\Software\Microsoft\Windows NT\CurrentVersion\MCI Extensions
Name : LAM
Value: LiveAudioMetafile
Type : REGDB_STRING

Name : LMA
Value: LiveAudioFile
Type : REGDB_STRING

Name : LA
Value: LiveAudioFile
Type : REGDB_STRING

Key : HKEY_LOCAL_MACHINE\Software\Microsoft\Windows NT\CurrentVersion\drivers.desc
Name : mcilma32.dll
Value: (MCI) Netscape Packetized Audio
Type : REGDB_STRING

Key : HKEY_LOCAL_MACHINE\Software\Microsoft\Windows NT\CurrentVersion\Drivers32
Name : MSACM.NSPAC
Value: NSPAC32.ACM
Type : REGDB_STRING

Key : HKEY_LOCAL_MACHINE\Software\Microsoft\Windows NT\CurrentVersion\drivers.desc
Name : NSPAC32.ACM
Value: elemedia(TM) AX24000P Music Codec
Type : REGDB_STRING

Key : HKEY_LOCAL_MACHINE\Software\Microsoft\Windows NT\CurrentVersion\Drivers32
Name : MSACM.voxacm118
Value: vdk32118.acm
Type : REGDB_STRING

Key : HKEY_LOCAL_MACHINE\Software\Microsoft\Windows NT\CurrentVersion\drivers.desc
Name : vdk32118.acm
Value: Voxware 32bit Codec
Type : REGDB_STRING

Key : HKEY_LOCAL_MACHINE\Software\Microsoft\Windows NT\CurrentVersion\Drivers32
Name : MSACM.NSX83
Value: NSX83P32.ACM
Type : REGDB_STRING

Key : HKEY_LOCAL_MACHINE\Software\Microsoft\Windows NT\CurrentVersion\drivers.desc
Name : NSX83P32.ACM
Value: elemedia(TM) SX8300 Speech Codec
Type : REGDB_STRING

Key : HKEY_LOCAL_MACHINE\Software\Microsoft\Windows NT\CurrentVersion\Drivers32
Name : MSACM.NSMLAW
Value: NSMLAW32.DLL
Type : REGDB_STRING

Key : HKEY_LOCAL_MACHINE\Software\Microsoft\Windows NT\CurrentVersion\drivers.desc
Name : NSMLAW32.DLL
Value: Netscape G.711 Decoder
Type : REGDB_STRING

NAV40.INI

Key : HKEY_LOCAL_MACHINE\Software\Microsoft\Windows\CurrentVersion\App Paths\Netscape.exe
Name : (Default)
Value: [Default Path]\Program\Netscape.exe
Type : REGDB_STRING

Name : Path
Value: [Default Path]\Program
Type : REGDB_STRING

Key : HKEY_CLASSES_ROOT\CLSID\{7865A9A1-33A8-11d0-BED9-00A02468FAB6}\InprocServer32
Name : (Default)
Value: [Default Path]\Program\brpref32.dll
Type : REGDB_STRING

Key : HKEY_CLASSES_ROOT\CLSID\{543EC0D0-6AB7-11d0-BF56-00A02468FAB6}\InprocServer32
Name : (Default)
Value: [Default Path]\Program\brpref32.dll
Type : REGDB_STRING

Key : HKEY_CLASSES_ROOT\CLSID\{543EC0D1-6AB7-11d0-BF56-00A02468FAB6}\InprocServer32
Name : (Default)
Value: [Default Path]\Program\brpref32.dll
Type : REGDB_STRING

Key : HKEY_CLASSES_ROOT\CLSID\{2D0A7D70-748C-11d0-9705-00805F8AA8B8}\InprocServer32
Name : (Default)
Value: [Default Path]\Program\edpref32.dll
Type : REGDB_STRING

Key : HKEY_CLASSES_ROOT\CLSID\{E8D6B4F0-8B58-11d0-9B63-00805F8ADDDE}\InprocServer32
Name : (Default)
Value: [Default Path]\Program\mnpref32.dll
Type : REGDB_STRING

Key : HKEY_CLASSES_ROOT\CLSID\{DDF4AB60-8B84-11d0-9B63-00805F8ADDDE}\InprocServer32
Name : (Default)
Value: [Default Path]\Program\mnpref32.dll
Type : REGDB_STRING

Key : HKEY_CLASSES_ROOT\CLSID\{CC3E2871-43CA-11d0-B6D8-00805F8ADDDE}\InprocServer32
Name : (Default)
Value: [Default Path]\Program\mnpref32.dll
Type : REGDB_STRING

Key : HKEY_CLASSES_ROOT\CLSID\{CC3E2872-43CA-11d0-B6D8-00805F8ADDDE}\InprocServer32
Name : (Default)
Value: [Default Path]\Program\mnpref32.dll
Type : REGDB_STRING

Key : HKEY_LOCAL_MACHINE\Software\Netscape
Name : (Default)
Value:
Type :

Key : HKEY_LOCAL_MACHINE\Software\Netscape\Netscape Navigator
Name : CurrentVersion
Value: 4.03 (en)
Type :

Key : HKEY_LOCAL_MACHINE\Software\Netscape\Netscape Navigator\Users
Name : (Default)
Value:
Type :

Key : HKEY_LOCAL_MACHINE\Software\Netscape\Netscape Navigator\4.03 (en)
Name : (Default)
Value:
Type :

Key : HKEY_LOCAL_MACHINE\Software\Netscape\Netscape Navigator\4.03 (en)\Main
Name : Install Directory
Value: [Default Path]
Type : REGDB_STRING

Name : Java Directory
Value: [Default Path]\Program\Java
Type : REGDB_STRING

Name : NetHelp Directory
Value: [Default Path]\Program\NetHelp
Type : REGDB_STRING

Name : Plugins Directory
Value: [Default Path]\Program\Plugins
Type : REGDB_STRING

Name : Program Folder
Value: [Program Folder]
Type : REGDB_STRING

Key : HKEY_CURRENT_USER\Software\Netscape
Name : (Default)
Value:
Type :

Key : HKEY_CURRENT_USER\Software\Netscape\Netscape Navigator
Name : (Default)
Value:
Type :

Key : HKEY_CURRENT_USER\Software\Netscape\Netscape Navigator\Main
Name : Install Directory
Value: [Default Path]
Type : REGDB_STRING

Key : HKEY_CLASSES_ROOT\NetscapeMarkup\CLSID
Name : (Default)
Value: {61D8DE20-CA9A-11CE-9EA5-0080C82BE3B6}
Type : REGDB_STRING

Key : HKEY_CLASSES_ROOT\NetscapeMarkup\Insertable
Name : (Default)
Value:
Type :

Key : HKEY_CLASSES_ROOT\NetscapeMarkup\protocol\StdFileEditing\server
Name : (Default)
Value: [Default Path]\Program\Netscape.exe
Type : REGDB_STRING

Key : HKEY_CLASSES_ROOT\NetscapeMarkup\protocol\StdFileEditing\verb\0
Name : (Default)
Value: &Edit
Type : REGDB_STRING

Key : HKEY_CLASSES_ROOT\NetscapeMarkup\shell\open\command
Name : (Default)
Value: [Default Path]\Program\Netscape.exe "%1"
Type : REGDB_STRING

Key : HKEY_CLASSES_ROOT\NetscapeMarkup\shell\print\command
Name : (Default)
Value: [Default Path]\Program\Netscape.exe /print("%1")
Type : REGDB_STRING

Key : HKEY_CLASSES_ROOT\NetscapeMarkup\shell\print\ddeexec
Name : (Default)
Value: [print("%1")]
Type : REGDB_STRING

Key : HKEY_CLASSES_ROOT\NetscapeMarkup\shell\PrintTo\command
Name : (Default)
Value: [Default Path]\Program\Netscape.exe /printto("%1","%2","%3","%4")
Type : REGDB_STRING

Key : HKEY_CLASSES_ROOT\NetscapeMarkup\shell\PrintTo\ddeexec
Name : (Default)
Value: [("%1","%2","%3","%4")]
Type : REGDB_STRING

Key : HKEY_CLASSES_ROOT\NetscapeMarkup\shell\open\ddeexec
Name : (Default)
Value: "%1"
Type : REGDB_STRING

Key : HKEY_CLASSES_ROOT\NetscapeMarkup\shell\open\ddeexec\Application
Name : (Default)
Value: NSShell
Type : REGDB_STRING

Key : HKEY_CLASSES_ROOT\NetscapeMarkup\shell\open\ddeexec\Topic
Name : (Default)
Value: WWW_OpenURL
Type : REGDB_STRING

Key : HKEY_CLASSES_ROOT\NetscapeMarkup\shell\Edit\command
Name : (Default)
Value: [Default Path]\Program\Netscape.exe -edit "%1"
Type : REGDB_STRING

Key : HKEY_CLASSES_ROOT\NetscapeMarkup\shell\Edit\ddeexec
Name : (Default)
Value: [edit("%1")]
Type : REGDB_STRING

Key : HKEY_LOCAL_MACHINE\Software\Netscape\Netcaster
Name : CurrentVersion
Value: 4.03 (en)
Type : REGDB_STRING

Key : HKEY_LOCAL_MACHINE\Software\Netscape\Netcaster\4.03 (en)\Main
Name : Install Directory
Value: [Shell Path]\Netcast
Type : REGDB_STRING

Name : Program Folder
Value: [Program Folder]
Type : REGDB_STRING

Key : HKEY_CLASSES_ROOT\CLSID\{C98D0190-7D81-11d0-BF8D-00A02468FAB6}\InprocServer32
Name : (Default)
Value: [Default Path]\Program\brpref32.dll
Type : REGDB_STRING

Key : HKEY_CLASSES_ROOT\CLSID\{37B601C0-8AC8-11d0-83AF-00805F8A274D}\InprocServer32
Name : (Default)
Value: [Default Path]\Program\brpref32.dll
Type : REGDB_STRING

Key : HKEY_CLASSES_ROOT\CLSID\{913A4A20-8EBF-11d0-BFAB-00A02468FAB6}\InprocServer32
Name : (Default)
Value: [Default Path]\Program\brpref32.dll
Type : REGDB_STRING

Key : HKEY_CLASSES_ROOT\NetscapeMarkup\shell\print\ddeexec\Application
Name : (Default)
Value: NSShell
Type : REGDB_STRING

Key : HKEY_CLASSES_ROOT\NetscapeMarkup\shell\PrintTo\ddeexec\Application
Name : (Default)
Value: NSShell
Type : REGDB_STRING

Key : HKEY_CLASSES_ROOT\NetscapeMarkup\shell\Edit\ddeexec\Application
Name : (Default)
Value: NSShell
Type : REGDB_STRING

Key : HKEY_CLASSES_ROOT\NetscapeMarkup
Name : (Default)
Value: Hypertext Markup Language
Type : REGDB_STRING

Key : HKEY_CLASSES_ROOT\telnet
Name : (Default)
Value: URL:Telnet Protocol
Type : REGDB_STRING

Key : HKEY_CLASSES_ROOT\telnet\shell\open\command
Name : (Default)
Value: telnet %1
Type : REGDB_STRING

NETCAST.INI

Key : HKEY_LOCAL_MACHINE\Software\Netscape
Name : (Default)
Value:
Type :

Key : HKEY_LOCAL_MACHINE\Software\Netscape\Netcaster
Name : CurrentVersion
Value: 1.0 (en)
Type : REGDB_STRING

Key : HKEY_LOCAL_MACHINE\Software\Netscape\Netcaster\1.0 (en)
Name : (Default)
Value:
Type :

Key : HKEY_LOCAL_MACHINE\Software\Netscape\Netcaster\1.0 (en)\Main
Name : Install Directory
Value: [Default Path]
Type : REGDB_STRING

Name : Program Folder
Value: [Program Folder]
Type : REGDB_STRING

NSCONF.INI

Key : HKEY_LOCAL_MACHINE\Software\Netscape
Name : (Default)
Value:
Type :

Key : HKEY_LOCAL_MACHINE\Software\Netscape\Conference
Name : (Default)
Value:
Type :

Key : HKEY_LOCAL_MACHINE\Software\Netscape\Conference\CurrentVersion
Name : Description
Value: Conference
Type : REGDB_STRING

Name : InstallDate
Value: [TIME]
Type : REGDB_NUMBER

Name : Installed
Value: 1
Type : REGDB_NUMBER

Name : PathName
Value: [Default Path]
Type : REGDB_STRING

Name : SoftwareType
Value: application
Type : REGDB_STRING

Name : VersionBuild
Value: 1213
Type : REGDB_NUMBER

Name : VersionMajor
Value: 1
Type : REGDB_NUMBER

Name : VersionMinor
Value: 0
Type : REGDB_NUMBER

Key : HKEY_LOCAL_MACHINE\Software\Microsoft\Windows NT\CurrentVersion\Drivers32
Name : MSACM.VOXACM118
Value: vdk32118.acm
Type : REGDB_STRING

Name : MSACM.NSX83
Value: nsx83p32.acm
Type : REGDB_STRING

Name : MSACM.NSX723
Value: sx5363s.acm
Type : REGDB_STRING

Name : MSACM.NSMLAW
Value: nsmlaw32.dll
Type : REGDB_STRING

Key : HKEY_CURRENT_USER\Software\Netscape
Name : (Default)
Value:
Type :

Key : HKEY_CLASSES_ROOT\nscfile\shell\open\command
Name : (Default)
Value: [Default Path]\NSConf32.exe -f "%1"
Type : REGDB_STRING

Key : HKEY_LOCAL_MACHINE\Software\Netscape\Conference
Name : CurrentVersion
Value: 4.03 (en)
Type : REGDB_STRING

Key : HKEY_LOCAL_MACHINE\Software\Netscape\Conference\4.03 (en)
Name : (Default)
Value:
Type :

Key : HKEY_LOCAL_MACHINE\Software\Netscape\Conference\4.03 (en)\Main
Name : Install Directory
Value: [Default Path]
Type : REGDB_STRING

Name : Program Folder
Value: [Program Folder]
Type : REGDB_STRING

[BACK] | [CONTENTS]

1998, Copyright Netscape Communications Corp. All Rights Reserved